Subject: pkg/33329: graphics/png fails to build on IRIX 5
To: None <,,>
From: None <>
List: pkgsrc-bugs
Date: 04/21/2006 18:30:00
>Number:         33329
>Category:       pkg
>Synopsis:       graphics/png fails to build on IRIX 5
>Confidential:   no
>Severity:       non-critical
>Priority:       low
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Fri Apr 21 18:30:00 +0000 2006
>Originator:     Georg Schwarz
>Release:        current pkgsrc
IRIX lorenz 5.3 08031225 IP20 mips
/bin/ksh ./libtool --tag=CC --mode=link cc  -O2 -mips2 -I/usr/local/pkg/include   -Wl,-rpath,/usr/local/pkg/lib -o -rpath /usr/local/pkg/lib -no-undefined -export-dynamic -version-number  0:9:0  -export-symbols libpng.sym png.lo pngset.lo pngget.lo pngrutil.lo  pngtrans.lo pngwutil.lo pngread.lo pngrio.lo pngwio.lo  pngwrite.lo pngrtran.lo pngwtran.lo pngmem.lo pngerror.lo  pngpread.lo pnggccrd.lo  -lz -lm
libtool: link: warning: library `/usr/people/schwarz/pkgsrc/graphics/png/work/.buildlink/lib/' was moved.
libtool: link: AGE `9' is greater than the current interface number `8'
libtool: link: `0:9:0' is not valid version information
*** Error code 1

bmake: stopped in /usr/people/schwarz/pkgsrc/graphics/png/work/libpng-1.2.9
*** Error code 1

This problem did not appear with previous versions of png.
It might be related to the fact that libtool sems to handle the library version numbers supplied with -version-number differently on IRIX than on other platforms.